Andreas Asplund created WSS-624:
-----------------------------------

             Summary: Support for SAAJ-RI 1.4.0
                 Key: WSS-624
                 URL: https://issues.apache.org/jira/browse/WSS-624
             Project: WSS4J
          Issue Type: Bug
          Components: WSS4J Core
    Affects Versions: 2.2.1
            Reporter: Andreas Asplund
            Assignee: Colm O hEigeartaigh


When using the SAAJ-RI 1.4.0 the following exception is thrown.

org.w3c.dom.DOMException: WRONG_DOCUMENT_ERR: A node is used in a different 
document than the one that created it.

And it happens in WSSecurityUtil.java:314

I have tracked it down to the static test in the top of that file to recognise 
java 9. It should handle SAAJ 1.4 as well.

 

I'll send a pull request on GitHub.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscr...@ws.apache.org
For additional commands, e-mail: dev-h...@ws.apache.org

Reply via email to